#
# spec file for package gettext (Version 0.14.5)
#
# Copyright (c) 2006 SUSE LINUX Products GmbH, Nuernberg, Germany.
# This file and all modifications and additions to the pristine
# package are under the same license as the package itself.
#
# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    Mesa Mesa-devel aaa_base acl atk atk-devel attr audit-libs autoconf automake bash bind-libs bind-utils binutils bison bzip2 cairo cairo-devel coreutils cpio cpp cracklib ctags cvs cyrus-sasl db diffutils e2fsprogs emacs emacs-info emacs-nox expat file filesystem fillup findutils flex fontconfig fontconfig-devel freetype2 freetype2-devel gawk gcc gcc-c++ gcc-java gcc-objc gdbm gdbm-devel glib2 glib2-devel glibc glibc-32bit glibc-devel glibc-locale glitz glitz-devel gnome-filesystem gpm grep groff gtk2 gtk2-devel gzip info insserv klogd less libacl libart_lgpl libart_lgpl-devel libattr libcom_err libdrm libgcc libgcj libgcj-devel libjpeg libnscd libobjc libpng libpng-devel libstdc++ libstdc++-devel libtool libxcrypt libzio m4 make man mktemp module-init-tools ncurses ncurses-devel net-tools netcfg openldap2-client openmotif-libs openssl pam pam-modules pango pango-devel patch perl permissions pkgconfig popt procinfo procps psmisc pwdutils rcs readline rpm sed strace sysvinit tar tcpd texinfo timezone unzip util-linux vim xorg-x11-devel xorg-x11-libs zlib zlib-devel

Name:           gettext
BuildRequires:  emacs-nox gcc-c++ gcc-java gcc-objc
URL:            http://www.gnu.org/software/gettext/
License:        LGPL
Group:          Development/Tools/Other
Autoreqprov:    on
Version:        0.14.5
Release:        13.2
Summary:        Tools for Native Language Support (NLS)
PreReq:         %{install_info_prereq}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         gettext-%{version}.tar.bz2
Source2:        suse-start-po-mode.el
Source3:        autogen.sh
Patch:          gettext-0.12.1-sigfpe.patch
Patch2:         gettext-0.12.1-gettextize.patch
Patch3:         gettext-codecleanup.patch
Patch4:         po-mode.diff
Patch5:         gettext-0.14.5-strict-aliasing.diff

%description
This package contains the intl library as well as tools that ease the
creation and maintenance of message catalogs. With it, you can extract
strings from source code. The supplied Emacs mode (po-mode.el) aids in
editing these catalogs (called PO files, for portable object) and
adding translations. A special compiler turns these PO files into
binary catalogs.



Authors:
--------
    Ulrich Drepper <drepper@cygnus.com>
    Bruno Haible <bruno@clisp.org>

%debug_package
%package devel
Summary:        Tools for Native Language Support (NLS)
Group:          Development/Tools/Other
Autoreqprov:    on
Requires:       %{name} = %{version} glibc-devel libstdc++-devel

%description devel
This package contains the `intl' library as well as tools that ease the
creation and maintenance of message catalogs. With it you can extract
strings from source code. The supplied Emacs mode (po-mode.el) will aid
in editing these catalogs (called PO files, for portable object) and
add translations. A special compiler will turn these PO files into
binary catalogs.



Authors:
--------
    Ulrich Drepper <drepper@cygnus.com>
    Bruno Haible <bruno@clisp.org>

%prep
%setup -q -n %{name}-%{version}
%patch
%patch2
%patch3
%patch4
%patch5 -p1
cp %{SOURCE3} .
rename no nb gettext-tools/po/no.*
rename no nb gettext-runtime/po/no.*

%build
#sh autogen.sh
aclocal --force
autoreconf -fi
pushd gettext-tools/misc
tar xfz archive.tar.gz
find . -name gettext.m4,v -print0 | xargs -0 perl -spi -e 's/\(int\) /\(long\) /g'
tar cfz archive.tar.gz archive/
popd
[ -f /usr/bin/emacs ] || ln -sf emacs-nox /usr/bin/emacs
rm -f config/m4/libtool.m4
autoreconf -fi
export CFLAGS="$RPM_OPT_FLAGS -pipe -W -Wall"
./configure --prefix=/usr \
		--enable-shared \
		--infodir=%{_infodir} \
		--mandir=%{_mandir} \
		--libdir=%{_libdir} \
		--build=%{_target_cpu}-suse-linux
make GMSGFMT=../src/msgfmt DESTDIR=$RPM_BUILD_ROOT
# use texinfo.tex supplied by the system (texinfo)
# make -C gettext-tools/doc gettext.pdf
#make check

%install
%define my_docdir %{_defaultdocdir}/%{name}
rm -rf $RPM_BUILD_ROOT
export LC_CTYPE=ISO-8859-15
make install DESTDIR=$RPM_BUILD_ROOT docdir=%{my_docdir}
cp -pr AUTHORS COPYING NEWS README* $RPM_BUILD_ROOT/%{my_docdir}
mkdir -p $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
install -m 644 %SOURCE2 $RPM_BUILD_ROOT/usr/share/emacs/site-lisp
#make -C gettext-tools/doc docdir=$RPM_BUILD_ROOT/%{my_docdir} install-pdf
if [ -e $RPM_BUILD_ROOT/%{_libdir}/preloadable_libintl.so ];then
	chmod 755 $RPM_BUILD_ROOT/%{_libdir}/preloadable_libintl.so
fi
%{find_lang} gettext-tools
%{find_lang} gettext-runtime
#remove unwanted stuff
rm -f $RPM_BUILD_ROOT/usr/share/doc/packages/gettext/README.{mingw,vms,woe32}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%run_ldconfig

%postun
%run_ldconfig

%post devel
%install_info --info-dir=%{_infodir} %{_infodir}/gettext.info.gz
%install_info --info-dir=%{_infodir} %{_infodir}/autosprintf.info.gz

%postun devel
%install_info_delete --info-dir=%{_infodir} %{_infodir}/gettext.info.gz
%install_info_delete --info-dir=%{_infodir} %{_infodir}/autosprintf.info.gz

%files -f gettext-runtime.lang
%defattr(-,root,root)
%dir %_prefix/share/gettext
%doc %dir %_defaultdocdir/%name
%doc %_defaultdocdir/%name/javadoc*
%doc %_defaultdocdir/%name/gettext.1.html
%doc %_defaultdocdir/%name/ngettext.1.html
%doc %_defaultdocdir/%name/envsubst.1.html
%doc %_defaultdocdir/%name/*.3.html
%doc %_defaultdocdir/%name/AUTHORS
%doc %_defaultdocdir/%name/COPYING
%doc %_defaultdocdir/%name/NEWS
%doc %_defaultdocdir/%name/README
%doc %_defaultdocdir/%name/FAQ.html
%_prefix/bin/gettext
%_prefix/bin/ngettext
%_prefix/bin/envsubst
%_prefix/bin/gettext.sh
%_prefix/bin/msgfmt
%_libdir/libgettextlib-*.so
%_libdir/libgettextsrc-*.so
%doc %_mandir/man1/gettext.1.gz
%doc %_mandir/man1/ngettext.1.gz
%doc %_mandir/man1/envsubst.1.gz
%doc %_mandir/man1/msgfmt.1.gz
%doc %_mandir/man3/*
%_prefix/share/gettext/ABOUT-NLS
%_libdir/libasprintf.so.*
%_includedir/autosprintf.h
%_prefix/share/emacs/site-lisp/po-compat.*
%_prefix/share/emacs/site-lisp/po-mode.*
%_prefix/share/emacs/site-lisp/start-po.*
%_prefix/share/emacs/site-lisp/suse-start-po-mode.el

%files devel -f gettext-tools.lang
%defattr(-,root,root)
%doc %_defaultdocdir/%name/examples
%doc %_defaultdocdir/%name/csharpdoc
%doc %_defaultdocdir/%name/auto*.html
%doc %_defaultdocdir/%name/gettext_*.html
%doc %_defaultdocdir/%name/gettextize*.html
%doc %_defaultdocdir/%name/msg*.html
%doc %_defaultdocdir/%name/tutorial*.html
%doc %_defaultdocdir/%name/xgettext*.html
%_prefix/bin/msg[a-eg-u]*
%_prefix/bin/msgfilter
%_prefix/bin/xgettext
%_prefix/bin/gettextize
%_prefix/bin/autopoint
%doc %_mandir/man1/msg[a-eg-u]*.1.gz
%doc %_mandir/man1/msgfilter.1.gz
%doc %_mandir/man1/xgettext.1.gz
%doc %_mandir/man1/gettextize.1.gz
%doc %_mandir/man1/autopoint.1.gz
%doc %_infodir/gettext.info*
%doc %_infodir/autosprintf.info*
%_includedir/gettext-po.h
%_libdir/libasprintf.*a
%_libdir/libasprintf.so
%_libdir/libgettextlib.*
%_libdir/libgettextsrc.*
%_libdir/libgettextpo*
%_libdir/preloadable_libintl.so
%_libdir/gettext
%_prefix/share/gettext/config.rpath
%_prefix/share/gettext/mkinstalldirs
%_prefix/share/gettext/intl
%_prefix/share/gettext/po
%_prefix/share/gettext/projects
%_prefix/share/gettext/gettext.h
%_prefix/share/gettext/msgunfmt.tcl
%_prefix/share/gettext/archive.tar.gz
%_prefix/share/aclocal/*

%changelog -n gettext
* Wed Jan 25 2006 - mls@suse.de
- converted neededforbuild to BuildRequires
* Tue Jan 03 2006 - sbrabec@suse.cz
- Fixed info installation scriptlets (#141183).
- Use %%doc, where appropriate.
- Moved autosprintf.info to devel subpackage.
- Move emacs-lisp files to main package.
- Fixed devel splitting and requirements.
* Mon Sep 19 2005 - mmj@suse.de
- Update to 0.14.5
- Fix strict aliasing issues
* Sat Apr 16 2005 - schwab@suse.de
- Move libgettextsrc-*.so and libgettextlib-*.so to main package as needed
  by msgfmt.
* Thu Apr 14 2005 - kukuk@suse.de
- Move msgfmt into main package for LSB support
* Tue Apr 05 2005 - mmj@suse.de
- Fix documentation packaging
* Mon Apr 04 2005 - schwab@suse.de
- Remove the stupid casts.
* Mon Apr 04 2005 - mmj@suse.de
- Introduce incredibly gross hack to make sure (int) casts are
  changed to (long)
- Update to gettext-0.14.3
- Move many files to the -devel package, trying to conform with
  gettext authors recommendation of split runtime/tools [#66614]
* Wed Feb 09 2005 - mmj@suse.de
- Revise the tmp file race patch:
- Make umask not so strict [#50437]
- Use mktemp in more places
* Tue Jan 11 2005 - schwab@suse.de
- Fix placement of po-mode-line-entry in mode-line-format for CVS Emacs.
* Thu Nov 25 2004 - mmj@suse.de
- add fixes for tmp file races [#47724]
* Tue Oct 19 2004 - ro@suse.de
- locale-rename: no -> nb
* Tue Apr 20 2004 - mmj@suse.de
- Add autoreconf -fi
* Tue Mar 02 2004 - mmj@suse.de
- Update to 0.14.1 [#34491] including:
- C#: xgettext now also supports C#.
- Bugfixes
* Sat Jan 10 2004 - adrian@suse.de
- add %%run_ldconfig
* Fri Jan 09 2004 - schwab@suse.de
- Fix makefiles.
* Fri Dec 19 2003 - pthomas@suse.de
- Update to 0.13
- New languages support: shell, Perl, PHP ObjectiveC,
  the special format strings used in the gcc sources and
  C++ with Qt.
- Complete examples for all supported programing languages
  added to the documentation.
* Tue Dec 09 2003 - kukuk@suse.de
- Don't build PDF docu
- Remove lots of obsolete packages from neededforbuild
* Tue Jun 17 2003 - pthomas@suse.de
- Update to 0.12.1
* Thu Apr 24 2003 - ro@suse.de
- fix install_info --delete call and move from preun to postun
* Thu Feb 06 2003 - kukuk@suse.de
- Use install-info macros
* Thu Aug 08 2002 - pthomas@suse.de
- Update to 0.11.5
  From NEWS: Bug fixes in the gettext.m4 autoconf macros.
- Remove patches obsoleted by the update and adapt those
  still needed.
* Fri Jul 26 2002 - schwab@suse.de
- Fix filelist.
- Install missing m4 macros.
- Remove interaction in gettextize.
- Fix unwanted expansion in AM_PO_SUBDIRS.
* Fri Jul 26 2002 - pthomas@suse.de
- Update to gettext 0.11.4
- The tools now know about the ISO C 99 <inttypes.h> format
  string directive macros PRId64, PRIxMAX etc.
- remove patches obsoleted by this new version
* Wed Jul 24 2002 - ke@suse.de
- Remove texinfo.tex from source files and make use of texinfo.tex
  provided by the system.
- Install gettext.pdf under $RPM_BUILD_ROOT.
* Tue Jul 23 2002 - schwab@suse.de
- Update to gettext 0.11.3.
- Force checking for division by zero.
* Tue Jul 09 2002 - schwab@suse.de
- Fix autoload for po-mode.
* Thu Jun 13 2002 - meissner@suse.de
- mark msgfmt-6 as SKIP, division by 0 is not exactly well defined.
* Tue May 21 2002 - ke@suse.de
- suse-start-po-mode.el: Load po-compat if "po-find-file-coding-system"
  doesn't come with stock Emacs.
* Thu Apr 25 2002 - pthomas@suse.de
- Update to 0.11.2.
  From NEWS:
- Bug fixes in the gettext.m4 autoconf macros.
- New documentation section: Preparing Translatable Strings.
- xgettext now also supports Python, Tcl, Awk and Glade.
- msgfmt can create (and msgunfmt can dump) Tcl message catalogs.
- msggrep has a new option -C that allows to search for strings
  in translator comments.
- Run gettext testsuite.
* Wed Apr 03 2002 - schwab@suse.de
- Move suse-start-po-mode.el here from po-utils.
- Remove ia64 workaround.
* Thu Mar 28 2002 - pthomas@suse.de
- Use %%{_libdir}
* Mon Feb 18 2002 - pthomas@suse.de
- Update %%files.
* Mon Feb 04 2002 - pthomas@suse.de
- Update to 0.11
  This is a major update with lots of new features and new tools.
- Integrate a patch from Bruno Haible to make libtool regard
  DESTDIR when installing.
- Don't use the included libintl but rather the one in libc.
- Build dynamically linked binaries.
- Added the current texinfo.tex as otherwise gettext.pdf won't build.
* Fri Feb 01 2002 - ro@suse.de
- changed neededforbuild <libpng> to <libpng-devel-packages>
* Wed Oct 31 2001 - kukuk@suse.de
- Include manual pages
* Tue Oct 30 2001 - kukuk@suse.de
- Update to 0.10.40
* Mon Aug 27 2001 - ke@suse.de
- Update German translation from UMontreal Translation Project.
- Make sure to compile and install 'po-mode'.
* Fri May 11 2001 - pthomas@suse.de
- Update to 0.10.37.
  Remove manual.diff as most of the fixes have been incorporated.
* Wed May 09 2001 - cstein@suse.de
- repacked sources with bzip2
* Thu Apr 12 2001 - pthomas@suse.de
- Don't list directories shared with other packages in
  spec file.
* Mon Apr 09 2001 - pthomas@suse.de
- Update to 0.10.36
- Drop msghack patch
- Improve gettext manual ( hopefully :)
- Now provides po-mode.el
* Thu Mar 08 2001 - ke@suse.de
- Use more rpm macros.
- Build and install a printable manual (PDF).
* Fri Mar 02 2001 - schwab@suse.de
- Compile with -O1 on ia64 to work around compiler bug.
* Tue Sep 19 2000 - pthomas@suse.de
- add patch from Bruno Haible. This allows statically linking
  programs with libintl.a on glibc systems.
* Tue Jun 20 2000 - pthomas@suse.de
- xgettext.c: format YCP automatically set for .ycp extension
- gettext.spec: allow building on systems where gettext.m4 etc.
  are installed.
* Thu Jun 15 2000 - pthomas@suse.de
- add patches from Paul Eggert needed for NLS in gcc
- add patch from Martin v. Loewis to allow searching
  inside of #define
* Fri May 05 2000 - kukuk@suse.de
- Fix Bug 2812
- Add DESTDIR to intl/Makefile.in and po/Makefile.in.in
- Use BuildRoot
* Mon May 01 2000 - ke@suse.de
- Add msghack from RH's package: gettext-0.10.35-hacks.patch
* Wed Apr 26 2000 - kukuk@suse.de
- Fix configure call (add %%{_target_cpu} macro)
* Thu Apr 06 2000 - bk@suse.de
- replace config.{guess,sub} against config update macro for s390
* Thu Feb 03 2000 - schwab@suse.de
- Update config.{guess,sub} to latest version.
* Fri Jan 28 2000 - schwab@suse.de
- Do not even try to install po-mode.el.
* Tue Jan 25 2000 - kukuk@suse.de
- Fix permissions of locale dirs.
- Move /usr/info -> /usr/share/info.
- Remove po-mode, now in extra package.
* Mon Dec 13 1999 - schwab@suse.de
- Remove libintl.a from file list, everything is in libc.
* Tue Nov 30 1999 - schwab@suse.de
- Add format checking for YCP strings.
- Don't declare getline and getdelim.
* Sat Nov 13 1999 - kukuk@suse.de
- Clean up spec file and old, obsolete patches
* Fri Oct 15 1999 - aj@suse.de
- Handle \v.
* Tue Oct 12 1999 - kettner@suse.de
- patched for use with YaST2 YCP scripts, new option
--language=YCP
* Sat Oct 09 1999 - ro@suse.de
- fixed to build on any arch
* Mon Sep 13 1999 - bs@suse.de
- ran old prepare_spec on spec file to switch to new prepare_spec.
* Sun Aug 15 1999 - ke@suse.de
- update po-mode.el.
* Thu Mar 11 1999 - kukuk@suse.de
- don't link against libintl.a on glibc systems
* Sun Feb 14 1999 - ke@suse.de
- update po-mode.el.
* Thu Jan 07 1999 - ro@suse.de
- respect alpha in specfile
* Thu Jan 07 1999 - ro@suse.de
- don't redeclare getline
* Mon Dec 07 1998 - florian@suse.de
- update to gettext 0.10.35
* Mon Dec 07 1998 - bs@suse.de
- added locale.alias to file list for libc5 systems.
* Thu Nov 26 1998 - bs@suse.de
- skipped /usr/share/locale/locale.alias from file list (is in localedb)
* Fri Sep 11 1998 - ro@suse.de
- switch detection of GLIBC to automake
* Thu Aug 13 1998 - bs@suse.de
- added export LC_CTYPE to build an install section in spec file.
* Wed Aug 12 1998 - ke@suse.de
- new po-mode.el from
  http://www.iro.umontreal.ca/contrib/po/po-mode/po-mode.el
- and install po-mode.el.
* Fri Jun 19 1998 - ro@suse.de
- dirty hack should at least work now
* Fri Jun 19 1998 - bs@suse.de
- don't include libintl.h if glibc is used.
  did it with a dirty hack.  Will be done better in a while.
* Mon Mar 09 1998 - ro@suse.de
- added some documentation
* Thu Feb 05 1998 - florian@suse.de
- add missing m4 macro files in /usr/share/aclocal
* Fri Oct 10 1997 - florian@suse.de
- update to version 0.10.32
* Wed Jan 22 1997 - florian@suse.de
- update to version 0.10.26
